Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FResourceCtx

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FResourceCtx

All Implemented Interfaces:
  java.io.Serializable

public class R01FResourceCtx
extends java.lang.Object
implements java.io.Serializable

Item perteneciente al recurso autorizado

See Also:
  Serialized Form

Field Summary
`java.util.Map` | `authorizations`
`StringBilingue` | `name`
`java.lang.String` | `oid`
`java.lang.String` | `parentOid`
`java.lang.String` | `subtype`
`java.lang.String` | `type`

Constructor Summary
`R01FResourceCtx(java.lang.String newOid, java.lang.String newNombreES, java.lang.String newNombreEU, java.lang.String newType, java.lang.String newSubtype, java.util.Map newAuthorizations)` Constructor
`R01FResourceCtx(java.lang.String newOid, java.lang.String newParentOID, java.lang.String newNombreES, java.lang.String newNombreEU, java.lang.String newType, java.lang.String newSubtype, java.util.Map newAuthorizations)` Constructor

Method Summary
`R01FResourceAuthorization` | `getAuth(java.lang.String authOID)` Devuelve la autorización del item
`java.util.Iterator` | `getAuthIterator()` Devuelve un iterador en las autorizaciones sobre el recurso
`StringBilingue` | `getName()` Devuelve el nombre del recurso
`java.lang.String` | `getOID()` Devuelve el oid del recurso
`java.lang.String` | `getParentOID()` Devuelve el tipo de recurso
`java.lang.String` | `getSubType()` Devuelve el tipo de recurso
`java.lang.String` | `getType()` Devuelve el tipo de recurso
`boolean` | `hasAuthorization()` Comprueba si se tiene autorizacion sobre el recurso
`boolean` | `isValid()` Comprueba si el objeto es valido
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oid

    public java.lang.String oid

### parentOid

    public java.lang.String parentOid

### type

    public java.lang.String type

### subtype

    public java.lang.String subtype

### name

    public StringBilingue name

### authorizations

    public java.util.Map authorizations

Constructor Detail

### R01FResourceCtx

    public R01FResourceCtx(java.lang.String newOid,
                           java.lang.String newNombreES,
                           java.lang.String newNombreEU,
                           java.lang.String newType,
                           java.lang.String newSubtype,
                           java.util.Map newAuthorizations)

  Constructor

Parameters:
  `newOid` - Identificador
  `newNombreES` - Nombre en castellano
  `newNombreEU` - Nombre en euskera
  `newType` - Tipo de recurso
  `newSubtype` - Subtipo de recurso
  `newAuthorizations` - Autorizaciones

### R01FResourceCtx

    public R01FResourceCtx(java.lang.String newOid,
                           java.lang.String newParentOID,
                           java.lang.String newNombreES,
                           java.lang.String newNombreEU,
                           java.lang.String newType,
                           java.lang.String newSubtype,
                           java.util.Map newAuthorizations)

  Constructor

Parameters:
  `newOid` - Identificador
  `newParentOID` - Identificador del recurso padre
  `newNombreES` - Nombre en castellano
  `newNombreEU` - nombre en euskera
  `newType` - tipo de recurso
  `newSubtype` - subtipo de recurso
  `newAuthorizations` - autorizaciones

Method Detail

### getOID

    public java.lang.String getOID()

  Devuelve el oid del recurso

  Returns:
    El oid del recurso

### getName

    public StringBilingue getName()

  Devuelve el nombre del recurso

  Returns:
    El nombre del recurso en euskera y castellano

### getType

    public java.lang.String getType()

  Devuelve el tipo de recurso

  Returns:

### getSubType

    public java.lang.String getSubType()

  Devuelve el tipo de recurso

  Returns:

### getParentOID

    public java.lang.String getParentOID()

  Devuelve el tipo de recurso

  Returns:

### getAuthIterator

    public java.util.Iterator getAuthIterator()

  Devuelve un iterador en las autorizaciones sobre el recurso

  Returns:
    El iterador

### getAuth

    public R01FResourceAuthorization getAuth(java.lang.String authOID)

  Devuelve la autorización del item

  Parameters:
    `authOID` - El oid de la autorizacion
  Returns:
    Un objeto con la autorizacion

### hasAuthorization

    public boolean hasAuthorization()

  Comprueba si se tiene autorizacion sobre el recurso

  Returns:
    true si hay autorizacion o false si no la hay

### toXML

    public java.lang.String toXML()
                           throws XOMarshallerException

  Throws:
    `XOMarshallerException`

### isValid

    public boolean isValid()

  Comprueba si el objeto es valido

  Returns:
    true si el objeto es valido y false si no es asín

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD